version: "3"

services:
  app:
    container_name: ${CONTAINERNAME} #karname-app
    restart: always
    image: repo.marcopacs.com/karname/karname-app:${TAG_VERSION} #"karname-app:${TAG_VERSION}"
    # ports:
    #   - "80:3000"
    # depends_on:
    #   - mongo
    # links:
    #   - mongo
    environment:
      ROOT_URL: ${APP_ROOT_URL:-http://localhost}
      MONGO_URL: mongodb://mongo-windows:27017/karname
      PORT: 80
      METEOR_SETTINGS: '{"worklistUrl":"http://karname-broker","databusUrl":"http://databus"}'
  # mongo:
  #   container_name: mongo-windows
  #   image: repo.marcopacs.com/karname/mongo-windows
  #   volumes:
  #     - C:\data\db:C:\data\db

# volumes:
#   data:

networks:
  default:
    external:
      name: nat
